//------------------------------------------------------------------------------
//
//  npos.c
//
//  ANTz application based on NPE
//
//  Created by Shane Saxon on 3/6/11.
//  Copyright Saxon Digital 2010-2011. All rights reserved.
//
//-----------------------------------------------------------------------------

#include "npos.h"


//-----------------------------------------------------------------------------
void nposGetCWD (char* buffer, int* size)
{
#ifdef NP_LINUX_
		npLinuxGetCWD (buffer, size);
#endif
#ifdef NP_MSW_
		npMSWGetCWD (buffer, size);
#endif
#ifdef NP_OSX_
		npLinuxGetCWD (buffer, size);
		//npOSXGetCWD (buffer, size);
#endif
}

//-----------------------------------------------------------------------------
FILE* nposFileDialog (const char* fileName, int dialogType, void* dataRef)
{
#ifdef NP_LINUX_
 return npLinuxFileDialog (fileName, dialogType, dataRef);
#endif
#ifdef NP_MSW_
 return npmswFileDialog (fileName, dialogType, dataRef);
#endif
#ifdef NP_OSX_
 return npLinuxFileDialog (fileName, dialogType, dataRef);
// return npOSXGetFileDialog (fileName, dialogType, dataRef);
#endif
}


